
Smart Proxy - Feature #4630

 Enhance Smart Proxy to detect pulp

03/11/2014 01:44 PM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Enhance Smart Proxy to detect pulp, and advertise that as a capability

History

#1 - 03/11/2014 01:45 PM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

-1, use plugin support (#3351).

#2 - 03/11/2014 02:11 PM - Ohad Levy

Dominic Cleal wrote:

-1, use plugin support (#3351).

 #3351 is open for a long time, do you think its reasonable to finish it in time? if yes, then I dont mind.

#3 - 03/11/2014 03:05 PM - Dominic Cleal

We put it on this sprint, so I'd hope it'll be implemented soon - else it shouldn't be there...

#4 - 03/11/2014 03:13 PM - Ohad Levy

Dominic Cleal wrote:

We put it on this sprint, so I'd hope it'll be implemented soon - else it shouldn't be there...

 I'm aware, my guess is that we can write the code, and if it make sense, move it to a plugin whenever the plugin framework is ready (prior or post

merge).

#5 - 04/24/2014 10:30 AM - Anonymous

- Status changed from New to Assigned

- Target version set to 1.8.3

#6 - 05/01/2014 02:23 PM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/smart-proxy/pull/153

#7 - 05/19/2014 12:41 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#8 - 06/11/2014 02:58 PM - Anonymous
- Target version changed from 1.8.2 to 1.8.1

#9 - 07/07/2014 07:20 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#10 - 07/23/2014 06:44 AM - Dominic Cleal

- Status changed from Ready For Testing to Resolved

- Assignee set to Anonymous

This was implemented as a plugin (success!) over here: https://github.com/theforeman/smart-proxy-pulp, published as smart_proxy_pulp to

rubygems.org and RPMs built to our plugins repo via https://github.com/theforeman/foreman-packaging/pull/284.
